const { parseAccess } = require("../../src/lib/form/form_access")

const conditionConfig = [
  [
    ["f1", "=", 1],
    ["f2", "=", "3"],
  ],
  [
    ["f1", "=", 1],
    ["f2", "=", "3"],
  ],
]

console.info(
  parseAccess(
    {
      fields: [{ id: "f1" }, { id: "f2" }, { id: "f3" }],
    },
    {
      owner: {
        add_row: false,
        delete_row: false,
        fields: {
          f1: {
            visible: true,
            readonly: false,
          },
          f2: {
            visible: true,
            readonly: false,
          },
        },
      },
    },
    {
      item: {
        owner: {
          id: 42,
          type: 1,
        },
      },
      currentUser: { id: 42, roles: [{ id: 2, type: 2 }] },
    }
  )
)
