
var Expr_parsedResult = null;

/*
    Default template driver for JS/CC generated parsers running as
    browser-based JavaScript/ECMAScript applications.

    WARNING:     This parser template will not run as console and has lesser
                features for debugging than the console derivates for the
                various JavaScript platforms.

    Features:
    - Parser trace messages
    - Integrated panic-mode error recovery

    Written 2007, 2008 by Jan Max Meyer, J.M.K S.F. Software Technologies

    This is in the public domain.
*/

var Expr_dbg_withtrace = false;
var Expr_dbg_string = new String();
var Expr_EOF_symbol = 24;
var Expr_WHITESPACE_symbol = 1;
var Expr_ERROR_symbol = 42;

function __Exprdbg_print (text) {
  Expr_dbg_string += text + "\n";
}

function __Exprlex (info) {
  var state = 0;
  var match = -1;
  var match_pos = 0;
  var start = 0;
  var pos = info.offset + 1;

  do {
    pos--;
    state = 0;
    match = -2;
    start = pos;

    if (info.src.length <= start)
      return 24;

    do {

      switch (state) {
        case 0:
          if ((info.src.charCodeAt(pos) >= 0 && info.src.charCodeAt(pos) <= 8) || (info.src.charCodeAt(pos) >= 11 && info.src.charCodeAt(pos) <= 12) || (info.src.charCodeAt(pos) >= 14 && info.src.charCodeAt(pos) <= 31) || (info.src.charCodeAt(pos) >= 35 && info.src.charCodeAt(pos) <= 37) || info.src.charCodeAt(pos) == 46 || (info.src.charCodeAt(pos) >= 58 && info.src.charCodeAt(pos) <= 59) || (info.src.charCodeAt(pos) >= 63 && info.src.charCodeAt(pos) <= 64) || (info.src.charCodeAt(pos) >= 91 && info.src.charCodeAt(pos) <= 94) || info.src.charCodeAt(pos) == 96 || info.src.charCodeAt(pos) == 123 || (info.src.charCodeAt(pos) >= 125 && info.src.charCodeAt(pos) <= 255)) state = 1;
          else if ((info.src.charCodeAt(pos) >= 9 && info.src.charCodeAt(pos) <= 10) || info.src.charCodeAt(pos) == 13 || info.src.charCodeAt(pos) == 32) state = 2;
          else if (info.src.charCodeAt(pos) == 38) state = 3;
          else if (info.src.charCodeAt(pos) == 40) state = 4;
          else if (info.src.charCodeAt(pos) == 41) state = 5;
          else if (info.src.charCodeAt(pos) == 42) state = 6;
          else if (info.src.charCodeAt(pos) == 43) state = 7;
          else if (info.src.charCodeAt(pos) == 44) state = 8;
          else if (info.src.charCodeAt(pos) == 45) state = 9;
          else if (info.src.charCodeAt(pos) == 47) state = 10;
          else if ((info.src.charCodeAt(pos) >= 48 && info.src.charCodeAt(pos) <= 57)) state = 11;
          else if (info.src.charCodeAt(pos) == 60) state = 12;
          else if (info.src.charCodeAt(pos) == 61) state = 13;
          else if (info.src.charCodeAt(pos) == 62) state = 14;
          else if ((info.src.charCodeAt(pos) >= 65 && info.src.charCodeAt(pos) <= 90) || info.src.charCodeAt(pos) == 95 || (info.src.charCodeAt(pos) >= 97 && info.src.charCodeAt(pos) <= 122) || (info.src.charCodeAt(pos) >= 256 && info.src.charCodeAt(pos) <= 65534)) state = 15;
          else if (info.src.charCodeAt(pos) == 124) state = 16;
          else if (info.src.charCodeAt(pos) == 33) state = 22;
          else if (info.src.charCodeAt(pos) == 34) state = 25;
          else if (info.src.charCodeAt(pos) == 39) state = 27;
          else state = -1;
          break;

        case 1:
          state = -1;
          match = 20;
          match_pos = pos;
          break;

        case 2:
          state = -1;
          match = 1;
          match_pos = pos;
          break;

        case 3:
          state = -1;
          match = 3;
          match_pos = pos;
          break;

        case 4:
          state = -1;
          match = 14;
          match_pos = pos;
          break;

        case 5:
          state = -1;
          match = 15;
          match_pos = pos;
          break;

        case 6:
          state = -1;
          match = 12;
          match_pos = pos;
          break;

        case 7:
          state = -1;
          match = 10;
          match_pos = pos;
          break;

        case 8:
          state = -1;
          match = 16;
          match_pos = pos;
          break;

        case 9:
          state = -1;
          match = 11;
          match_pos = pos;
          break;

        case 10:
          state = -1;
          match = 13;
          match_pos = pos;
          break;

        case 11:
          if ((info.src.charCodeAt(pos) >= 48 && info.src.charCodeAt(pos) <= 57)) state = 11;
          else if (info.src.charCodeAt(pos) == 46) state = 26;
          else state = -1;
          match = 17;
          match_pos = pos;
          break;

        case 12:
          if (info.src.charCodeAt(pos) == 61) state = 19;
          else state = -1;
          match = 9;
          match_pos = pos;
          break;

        case 13:
          state = -1;
          match = 4;
          match_pos = pos;
          break;

        case 14:
          if (info.src.charCodeAt(pos) == 61) state = 20;
          else state = -1;
          match = 7;
          match_pos = pos;
          break;

        case 15:
          if (info.src.charCodeAt(pos) == 46 || (info.src.charCodeAt(pos) >= 48 && info.src.charCodeAt(pos) <= 57) || (info.src.charCodeAt(pos) >= 65 && info.src.charCodeAt(pos) <= 90) || info.src.charCodeAt(pos) == 95 || (info.src.charCodeAt(pos) >= 97 && info.src.charCodeAt(pos) <= 122) || (info.src.charCodeAt(pos) >= 256 && info.src.charCodeAt(pos) <= 65534)) state = 15;
          else state = -1;
          match = 19;
          match_pos = pos;
          break;

        case 16:
          state = -1;
          match = 2;
          match_pos = pos;
          break;

        case 17:
          state = -1;
          match = 5;
          match_pos = pos;
          break;

        case 18:
          state = -1;
          match = 18;
          match_pos = pos;
          break;

        case 19:
          state = -1;
          match = 8;
          match_pos = pos;
          break;

        case 20:
          state = -1;
          match = 6;
          match_pos = pos;
          break;

        case 21:
          if (info.src.charCodeAt(pos) == 34) state = 18;
          else if ((info.src.charCodeAt(pos) >= 0 && info.src.charCodeAt(pos) <= 33) || (info.src.charCodeAt(pos) >= 35 && info.src.charCodeAt(pos) <= 65534)) state = 21;
          else state = -1;
          break;

        case 22:
          if (info.src.charCodeAt(pos) == 61) state = 17;
          else state = -1;
          match = 20;
          match_pos = pos;
          break;

        case 23:
          if ((info.src.charCodeAt(pos) >= 48 && info.src.charCodeAt(pos) <= 57)) state = 23;
          else state = -1;
          match = 17;
          match_pos = pos;
          break;

        case 24:
          if (info.src.charCodeAt(pos) == 39) state = 18;
          else if ((info.src.charCodeAt(pos) >= 0 && info.src.charCodeAt(pos) <= 38) || (info.src.charCodeAt(pos) >= 40 && info.src.charCodeAt(pos) <= 65534)) state = 24;
          else state = -1;
          break;

        case 25:
          if (info.src.charCodeAt(pos) == 34) state = 18;
          else if ((info.src.charCodeAt(pos) >= 0 && info.src.charCodeAt(pos) <= 33) || (info.src.charCodeAt(pos) >= 35 && info.src.charCodeAt(pos) <= 65534)) state = 21;
          else state = -1;
          match = 20;
          match_pos = pos;
          break;

        case 26:
          if ((info.src.charCodeAt(pos) >= 48 && info.src.charCodeAt(pos) <= 57)) state = 23;
          else state = -1;
          break;

        case 27:
          if (info.src.charCodeAt(pos) == 39) state = 18;
          else if ((info.src.charCodeAt(pos) >= 0 && info.src.charCodeAt(pos) <= 38) || (info.src.charCodeAt(pos) >= 40 && info.src.charCodeAt(pos) <= 65534)) state = 24;
          else state = -1;
          match = 20;
          match_pos = pos;
          break;

      }


      pos++;

    }
    while (state > -1);

  }
  while (1 > -1 && match == 1);

  if (match > -1) {
    info.att = info.src.substr(start, match_pos - start);
    info.offset = match_pos;

    switch (match) {
      case 2:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 3:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 4:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 5:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 6:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 7:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 8:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 9:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 10:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 11:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 12:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 13:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 14:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 15:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 16:
        {
          var x = info.att.length; info.att = { type: info.att, pos: (info.offset - info.att.length), length: x, len: x };
        }
        break;

      case 17:
        {
          var x = info.att.length; info.att = { type: 'num', pos: (info.offset - info.att.length), val: info.att, length: x, len: x };
        }
        break;

      case 18:
        {
          var x = info.att.length; info.att = { type: 'string', pos: (info.offset - info.att.length), val: info.att, length: x, len: x };
        }
        break;

      case 19:
        {
          var x = info.att.length; info.att = { type: 'ident', pos: (info.offset - info.att.length), val: info.att, length: x, len: x };
        }
        break;

      case 20:
        {
          var x = info.att.length; info.att = { type: "bad", pos: (info.offset - info.att.length), val: info.att, length: x, len: x };
        }
        break;

    }


  }
  else {
    info.att = new String();
    match = -1;
  }

  return match;
}


function __Exprparse (src, err_off, err_la) {
  var sstack = new Array();
  var vstack = new Array();
  var err_cnt = 0;
  var act;
  var go;
  var la;
  var rval;
  var parseinfo = new Function("", "var offset; var src; var att;");
  var info = new parseinfo();

  /* Pop-Table */
  var pop_tab = new Array(
    new Array(0/* p' */, 1),
    new Array(22/* p */, 1),
    new Array(21/* e */, 3),
    new Array(21/* e */, 3),
    new Array(21/* e */, 3),
    new Array(21/* e */, 3),
    new Array(21/* e */, 3),
    new Array(21/* e */, 3),
    new Array(21/* e */, 3),
    new Array(21/* e */, 3),
    new Array(21/* e */, 3),
    new Array(21/* e */, 3),
    new Array(21/* e */, 3),
    new Array(21/* e */, 3),
    new Array(21/* e */, 2),
    new Array(21/* e */, 3),
    new Array(21/* e */, 1),
    new Array(21/* e */, 1),
    new Array(21/* e */, 1),
    new Array(21/* e */, 4),
    new Array(23/* params */, 1),
    new Array(23/* params */, 3)
  );

  /* Action-Table */
  var act_tab = new Array(
    /* State 0 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 1 */ new Array(24/* "$" */, 0),
    /* State 2 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 9/* "<" */, 10, 2/* "|" */, 11, 3/* "&" */, 12, 8/* "<=" */, 13, 7/* ">" */, 14, 6/* ">=" */, 15, 5/* "!=" */, 16, 4/* "=" */, 17, 11/* "-" */, 18, 10/* "+" */, 19, 24/* "$" */, -1),
    /* State 3 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 4 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 5 */ new Array(24/* "$" */, -16, 10/* "+" */, -16, 11/* "-" */, -16, 4/* "=" */, -16, 5/* "!=" */, -16, 6/* ">=" */, -16, 7/* ">" */, -16, 8/* "<=" */, -16, 3/* "&" */, -16, 2/* "|" */, -16, 9/* "<" */, -16, 12/* "*" */, -16, 13/* "/" */, -16, 15/* ")" */, -16, 16/* "," */, -16),
    /* State 6 */ new Array(24/* "$" */, -17, 10/* "+" */, -17, 11/* "-" */, -17, 4/* "=" */, -17, 5/* "!=" */, -17, 6/* ">=" */, -17, 7/* ">" */, -17, 8/* "<=" */, -17, 3/* "&" */, -17, 2/* "|" */, -17, 9/* "<" */, -17, 12/* "*" */, -17, 13/* "/" */, -17, 15/* ")" */, -17, 16/* "," */, -17),
    /* State 7 */ new Array(14/* "(" */, 22, 24/* "$" */, -18, 10/* "+" */, -18, 11/* "-" */, -18, 4/* "=" */, -18, 5/* "!=" */, -18, 6/* ">=" */, -18, 7/* ">" */, -18, 8/* "<=" */, -18, 3/* "&" */, -18, 2/* "|" */, -18, 9/* "<" */, -18, 12/* "*" */, -18, 13/* "/" */, -18, 15/* ")" */, -18, 16/* "," */, -18),
    /* State 8 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 9 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 10 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 11 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 12 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 13 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 14 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 15 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 16 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 17 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 18 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 19 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 20 */ new Array(13/* "/" */, -14, 12/* "*" */, -14, 9/* "<" */, -14, 2/* "|" */, -14, 3/* "&" */, -14, 8/* "<=" */, -14, 7/* ">" */, -14, 6/* ">=" */, -14, 5/* "!=" */, -14, 4/* "=" */, -14, 11/* "-" */, -14, 10/* "+" */, -14, 24/* "$" */, -14, 15/* ")" */, -14, 16/* "," */, -14),
    /* State 21 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 9/* "<" */, 10, 2/* "|" */, 11, 3/* "&" */, 12, 8/* "<=" */, 13, 7/* ">" */, 14, 6/* ">=" */, 15, 5/* "!=" */, 16, 4/* "=" */, 17, 11/* "-" */, 18, 10/* "+" */, 19, 15/* ")" */, 35),
    /* State 22 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 23 */ new Array(13/* "/" */, -13, 12/* "*" */, -13, 9/* "<" */, -13, 2/* "|" */, -13, 3/* "&" */, -13, 8/* "<=" */, -13, 7/* ">" */, -13, 6/* ">=" */, -13, 5/* "!=" */, -13, 4/* "=" */, -13, 11/* "-" */, -13, 10/* "+" */, -13, 24/* "$" */, -13, 15/* ")" */, -13, 16/* "," */, -13),
    /* State 24 */ new Array(13/* "/" */, -12, 12/* "*" */, -12, 9/* "<" */, -12, 2/* "|" */, -12, 3/* "&" */, -12, 8/* "<=" */, -12, 7/* ">" */, -12, 6/* ">=" */, -12, 5/* "!=" */, -12, 4/* "=" */, -12, 11/* "-" */, -12, 10/* "+" */, -12, 24/* "$" */, -12, 15/* ")" */, -12, 16/* "," */, -12),
    /* State 25 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 2/* "|" */, -11, 3/* "&" */, -11, 11/* "-" */, 18, 10/* "+" */, 19, 24/* "$" */, -11, 15/* ")" */, -11, 16/* "," */, -11),
    /* State 26 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 9/* "<" */, 10, 2/* "|" */, -10, 3/* "&" */, 12, 8/* "<=" */, 13, 7/* ">" */, 14, 6/* ">=" */, 15, 5/* "!=" */, 16, 4/* "=" */, 17, 11/* "-" */, 18, 10/* "+" */, 19, 24/* "$" */, -10, 15/* ")" */, -10, 16/* "," */, -10),
    /* State 27 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 9/* "<" */, 10, 2/* "|" */, -9, 3/* "&" */, -9, 8/* "<=" */, 13, 7/* ">" */, 14, 6/* ">=" */, 15, 5/* "!=" */, 16, 4/* "=" */, 17, 11/* "-" */, 18, 10/* "+" */, 19, 24/* "$" */, -9, 15/* ")" */, -9, 16/* "," */, -9),
    /* State 28 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 2/* "|" */, -8, 3/* "&" */, -8, 11/* "-" */, 18, 10/* "+" */, 19, 24/* "$" */, -8, 15/* ")" */, -8, 16/* "," */, -8),
    /* State 29 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 2/* "|" */, -7, 3/* "&" */, -7, 11/* "-" */, 18, 10/* "+" */, 19, 24/* "$" */, -7, 15/* ")" */, -7, 16/* "," */, -7),
    /* State 30 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 2/* "|" */, -6, 3/* "&" */, -6, 11/* "-" */, 18, 10/* "+" */, 19, 24/* "$" */, -6, 15/* ")" */, -6, 16/* "," */, -6),
    /* State 31 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 2/* "|" */, -5, 3/* "&" */, -5, 11/* "-" */, 18, 10/* "+" */, 19, 24/* "$" */, -5, 15/* ")" */, -5, 16/* "," */, -5),
    /* State 32 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 2/* "|" */, -4, 3/* "&" */, -4, 11/* "-" */, 18, 10/* "+" */, 19, 24/* "$" */, -4, 15/* ")" */, -4, 16/* "," */, -4),
    /* State 33 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 9/* "<" */, -3, 2/* "|" */, -3, 3/* "&" */, -3, 8/* "<=" */, -3, 7/* ">" */, -3, 6/* ">=" */, -3, 5/* "!=" */, -3, 4/* "=" */, -3, 11/* "-" */, -3, 10/* "+" */, -3, 24/* "$" */, -3, 15/* ")" */, -3, 16/* "," */, -3),
    /* State 34 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 9/* "<" */, -2, 2/* "|" */, -2, 3/* "&" */, -2, 8/* "<=" */, -2, 7/* ">" */, -2, 6/* ">=" */, -2, 5/* "!=" */, -2, 4/* "=" */, -2, 11/* "-" */, -2, 10/* "+" */, -2, 24/* "$" */, -2, 15/* ")" */, -2, 16/* "," */, -2),
    /* State 35 */ new Array(24/* "$" */, -15, 10/* "+" */, -15, 11/* "-" */, -15, 4/* "=" */, -15, 5/* "!=" */, -15, 6/* ">=" */, -15, 7/* ">" */, -15, 8/* "<=" */, -15, 3/* "&" */, -15, 2/* "|" */, -15, 9/* "<" */, -15, 12/* "*" */, -15, 13/* "/" */, -15, 15/* ")" */, -15, 16/* "," */, -15),
    /* State 36 */ new Array(16/* "," */, 38, 15/* ")" */, 39),
    /* State 37 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 9/* "<" */, 10, 2/* "|" */, 11, 3/* "&" */, 12, 8/* "<=" */, 13, 7/* ">" */, 14, 6/* ">=" */, 15, 5/* "!=" */, 16, 4/* "=" */, 17, 11/* "-" */, 18, 10/* "+" */, 19, 15/* ")" */, -20, 16/* "," */, -20),
    /* State 38 */ new Array(11/* "-" */, 3, 14/* "(" */, 4, 17/* "NUM" */, 5, 18/* "STRING" */, 6, 19/* "IDENT" */, 7),
    /* State 39 */ new Array(24/* "$" */, -19, 10/* "+" */, -19, 11/* "-" */, -19, 4/* "=" */, -19, 5/* "!=" */, -19, 6/* ">=" */, -19, 7/* ">" */, -19, 8/* "<=" */, -19, 3/* "&" */, -19, 2/* "|" */, -19, 9/* "<" */, -19, 12/* "*" */, -19, 13/* "/" */, -19, 15/* ")" */, -19, 16/* "," */, -19),
    /* State 40 */ new Array(13/* "/" */, 8, 12/* "*" */, 9, 9/* "<" */, 10, 2/* "|" */, 11, 3/* "&" */, 12, 8/* "<=" */, 13, 7/* ">" */, 14, 6/* ">=" */, 15, 5/* "!=" */, 16, 4/* "=" */, 17, 11/* "-" */, 18, 10/* "+" */, 19, 15/* ")" */, -21, 16/* "," */, -21)
  );

  /* Goto-Table */
  var goto_tab = new Array(
    /* State 0 */ new Array(22/* p */, 1, 21/* e */, 2),
    /* State 1 */ new Array(),
    /* State 2 */ new Array(),
    /* State 3 */ new Array(21/* e */, 20),
    /* State 4 */ new Array(21/* e */, 21),
    /* State 5 */ new Array(),
    /* State 6 */ new Array(),
    /* State 7 */ new Array(),
    /* State 8 */ new Array(21/* e */, 23),
    /* State 9 */ new Array(21/* e */, 24),
    /* State 10 */ new Array(21/* e */, 25),
    /* State 11 */ new Array(21/* e */, 26),
    /* State 12 */ new Array(21/* e */, 27),
    /* State 13 */ new Array(21/* e */, 28),
    /* State 14 */ new Array(21/* e */, 29),
    /* State 15 */ new Array(21/* e */, 30),
    /* State 16 */ new Array(21/* e */, 31),
    /* State 17 */ new Array(21/* e */, 32),
    /* State 18 */ new Array(21/* e */, 33),
    /* State 19 */ new Array(21/* e */, 34),
    /* State 20 */ new Array(),
    /* State 21 */ new Array(),
    /* State 22 */ new Array(23/* params */, 36, 21/* e */, 37),
    /* State 23 */ new Array(),
    /* State 24 */ new Array(),
    /* State 25 */ new Array(),
    /* State 26 */ new Array(),
    /* State 27 */ new Array(),
    /* State 28 */ new Array(),
    /* State 29 */ new Array(),
    /* State 30 */ new Array(),
    /* State 31 */ new Array(),
    /* State 32 */ new Array(),
    /* State 33 */ new Array(),
    /* State 34 */ new Array(),
    /* State 35 */ new Array(),
    /* State 36 */ new Array(),
    /* State 37 */ new Array(),
    /* State 38 */ new Array(21/* e */, 40),
    /* State 39 */ new Array(),
    /* State 40 */ new Array()
  );



  /* Symbol labels */
  var labels = new Array(
    "p'" /* Non-terminal symbol */,
    "WHITESPACE" /* Terminal symbol */,
    "|" /* Terminal symbol */,
    "&" /* Terminal symbol */,
    "=" /* Terminal symbol */,
    "!=" /* Terminal symbol */,
    ">=" /* Terminal symbol */,
    ">" /* Terminal symbol */,
    "<=" /* Terminal symbol */,
    "<" /* Terminal symbol */,
    "+" /* Terminal symbol */,
    "-" /* Terminal symbol */,
    "*" /* Terminal symbol */,
    "/" /* Terminal symbol */,
    "(" /* Terminal symbol */,
    ")" /* Terminal symbol */,
    "," /* Terminal symbol */,
    "NUM" /* Terminal symbol */,
    "STRING" /* Terminal symbol */,
    "IDENT" /* Terminal symbol */,
    "BAD" /* Terminal symbol */,
    "e" /* Non-terminal symbol */,
    "p" /* Non-terminal symbol */,
    "params" /* Non-terminal symbol */,
    "$" /* Terminal symbol */
  );



  info.offset = 0;
  info.src = src;
  info.att = new String();

  if (!err_off)
    err_off = new Array();
  if (!err_la)
    err_la = new Array();

  sstack.push(0);
  vstack.push(0);

  la = __Exprlex(info);

  while (true) {
    act = 42;
    for (var i = 0; i < act_tab[sstack[sstack.length - 1]].length; i += 2) {
      if (act_tab[sstack[sstack.length - 1]][i] == la) {
        act = act_tab[sstack[sstack.length - 1]][i + 1];
        break;
      }
    }

    if (Expr_dbg_withtrace && sstack.length > 0) {
      __Exprdbg_print("\nState " + sstack[sstack.length - 1] + "\n" +
        "\tLookahead: " + labels[la] + " (\"" + info.att + "\")\n" +
        "\tAction: " + act + "\n" +
        "\tSource: \"" + info.src.substr(info.offset, 30) + ((info.offset + 30 < info.src.length) ?
          "..." : "") + "\"\n" +
        "\tStack: " + sstack.join() + "\n" +
        "\tValue stack: " + vstack.join() + "\n");
    }


    //Panic-mode: Try recovery when parse-error occurs!
    if (act == 42) {
      if (Expr_dbg_withtrace)
        __Exprdbg_print("Error detected: There is no reduce or shift on the symbol " + labels[la]);

      err_cnt++;
      err_off.push(info.offset - info.att.length);
      err_la.push(new Array());
      for (var i = 0; i < act_tab[sstack[sstack.length - 1]].length; i += 2)
        err_la[err_la.length - 1].push(labels[act_tab[sstack[sstack.length - 1]][i]]);

      //Remember the original stack!
      var rsstack = new Array();
      var rvstack = new Array();
      for (var i = 0; i < sstack.length; i++) {
        rsstack[i] = sstack[i];
        rvstack[i] = vstack[i];
      }

      while (act == 42 && la != 24) {
        if (Expr_dbg_withtrace)
          __Exprdbg_print("\tError recovery\n" +
            "Current lookahead: " + labels[la] + " (" + info.att + ")\n" +
            "Action: " + act + "\n\n");
        if (la == -1)
          info.offset++;

        while (act == 42 && sstack.length > 0) {
          sstack.pop();
          vstack.pop();

          if (sstack.length == 0)
            break;

          act = 42;
          for (var i = 0; i < act_tab[sstack[sstack.length - 1]].length; i += 2) {
            if (act_tab[sstack[sstack.length - 1]][i] == la) {
              act = act_tab[sstack[sstack.length - 1]][i + 1];
              break;
            }
          }
        }

        if (act != 42)
          break;

        for (var i = 0; i < rsstack.length; i++) {
          sstack.push(rsstack[i]);
          vstack.push(rvstack[i]);
        }

        la = __Exprlex(info);
      }

      if (act == 42) {
        if (Expr_dbg_withtrace)
          __Exprdbg_print("\tError recovery failed, terminating parse process...");
        break;
      }


      if (Expr_dbg_withtrace)
        __Exprdbg_print("\tError recovery succeeded, continuing");
    }

    /*
    if( act == 42 )
        break;
    */


    //Shift
    if (act > 0) {
      if (Expr_dbg_withtrace)
        __Exprdbg_print("Shifting symbol: " + labels[la] + " (" + info.att + ")");

      sstack.push(act);
      vstack.push(info.att);

      la = __Exprlex(info);

      if (Expr_dbg_withtrace)
        __Exprdbg_print("\tNew lookahead symbol: " + labels[la] + " (" + info.att + ")");
    }
    //Reduce
    else {
      act *= -1;

      if (Expr_dbg_withtrace)
        __Exprdbg_print("Reducing by producution: " + act);

      rval = void (0);

      if (Expr_dbg_withtrace)
        __Exprdbg_print("\tPerforming semantic action...");

      switch (act) {
        case 0:
          {
            rval = vstack[vstack.length - 1];
          }
          break;
        case 1:
          {
            Expr_parsedResult = vstack[vstack.length - 1];
          }
          break;
        case 2:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 3], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 3:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 3], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 4:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 3], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 5:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 3], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 6:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 3], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 7:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 3], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 8:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 3], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 9:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 3], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 10:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 3], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 11:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 3], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 12:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 3], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 13:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 3], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 14:
          {
            rval = [vstack[vstack.length - 2], vstack[vstack.length - 1]]; var x = vstack[vstack.length - 2].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 15:
          {
            rval = vstack[vstack.length - 2]; var x = vstack[vstack.length - 3].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 16:
          {
            rval = vstack[vstack.length - 1];
          }
          break;
        case 17:
          {
            rval = vstack[vstack.length - 1];
          }
          break;
        case 18:
          {
            rval = vstack[vstack.length - 1];
          }
          break;
        case 19:
          {
            rval = [vstack[vstack.length - 4]].concat(vstack[vstack.length - 2]); var x = vstack[vstack.length - 4].pos; rval.pos = x; rval.len = (vstack[vstack.length - 1].pos - x) + vstack[vstack.length - 1].len;
          }
          break;
        case 20:
          {
            rval = [vstack[vstack.length - 1]];
          }
          break;
        case 21:
          {
            rval = vstack[vstack.length - 3].concat(vstack[vstack.length - 1]);
          }
          break;
      }



      if (Expr_dbg_withtrace)
        __Exprdbg_print("\tPopping " + pop_tab[act][1] + " off the stack...");

      for (var i = 0; i < pop_tab[act][1]; i++) {
        sstack.pop();
        vstack.pop();
      }

      go = -1;
      for (var i = 0; i < goto_tab[sstack[sstack.length - 1]].length; i += 2) {
        if (goto_tab[sstack[sstack.length - 1]][i] == pop_tab[act][0]) {
          go = goto_tab[sstack[sstack.length - 1]][i + 1];
          break;
        }
      }

      if (act == 0)
        break;

      if (Expr_dbg_withtrace)
        __Exprdbg_print("\tPushing non-terminal " + labels[pop_tab[act][0]]);

      sstack.push(go);
      vstack.push(rval);
    }

    if (Expr_dbg_withtrace) {
      alert(Expr_dbg_string);
      Expr_dbg_string = new String();
    }
  }

  if (Expr_dbg_withtrace) {
    __Exprdbg_print("\nParse complete.");
    alert(Expr_dbg_string);
  }

  return err_cnt;
}


module.exports = {
  lex: __Exprlex,
  _parse: function (expr, erroffsets, errlookaheads) {
    var nerr = __Exprparse(expr, erroffsets, errlookaheads);
    return { nerr: nerr, result: Expr_parsedResult };
  },
  EOF_symbol: Expr_EOF_symbol
};
