const { parseConditionConfig } = require('../../src/lib/form/form_condition');

const conditionConfig = {
  owner: {
    filters: [
      [['f1', '=', 1], ['f2', '=', '3']],
      [['f1', 'contain', '2'], ['f2', 'between', [1, 2]]],
      [['f3', '=', '2021-01-01'], ['f2', 'between', [1, 2]]]
    ]
  }
};

console.info(parseConditionConfig({
  fields: [
    { id: 'f1', controlType: 'text' },
    { id: 'f2', controlType: 'number' },
    { id: 'f3', controlType: 'date' },
  ]
}, conditionConfig, {
  objName: 'item',
  item: {
    owner: {
      id: 42,
      type: 1,
    }
  },
  currentUser: {
    id: 42,
    roles: [
      { id: 2, type: 1 }
    ]
  }
}).toString());